## screen-resolution-extra 0.18.2

=== Makefile ===
DOMAIN=screen-resolution-extra

PO_FILES=$(wildcard po/*.po)
DESKTOP_FILES=$(basename $(wildcard */*.desktop.in))

all: po/$(DOMAIN).pot build-mo $(DESKTOP_FILES)

clean:
	rm -rf po/mo/
	rm -f po/$(DOMAIN).pot
	rm -f $(DESKTOP_FILES)

#
# i18n for po/*
#

# update the pot
po/$(DOMAIN).pot:
	cd po; intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES) po/$(DOMAIN.pot)
	cd po; intltool-update -r -g $(DOMAIN)

# create mo from po files
%.mo : %.po
	mkdir -p $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/ 
	msgfmt $< -o $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/$(DOMAIN).mo 

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(PO_FILES))

#
# i18n for *.desktop files
#

%.desktop : %.desktop.in
	intltool-merge -d po/ $< $@

.PHONY: all clean build-mo merge-po

## screen-resolution-extra 0.3

=== debian/changelog ===
screen-resolution-extra (0.3) intrepid; urgency=low

  * Do not calculate the virtual resolution.
  * Modify the virtual resolution only if the required resolution is
    greater than the one which is currently set.  

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 24 Sep 2008 17:08:50 +0200

screen-resolution-extra (0.2) intrepid; urgency=low

  * Change the section to utils/x11
  * Make sure that backup creation takes place only when the xorg.conf exists
  * Change string_operation_complete in ui.py into something easier to 
    understand
  * Do not use logging logging.error when informing users in policyui.py

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 27 Aug 2008 19:13:45 +0200

screen-resolution-extra (0.1.2) intrepid; urgency=low

  * Don't try and use XKit, as it hasn't been imported. Instead import
    xorgparser from it and use that instead. (LP: #269757)

 -- James Westby <james.westby@canonical.com>  Sat, 13 Sep 2008 12:38:51 +0100

screen-resolution-extra (0.1.1) intrepid; urgency=low

  * Don't try and concatenate a string and a float (LP: #262906)
    - Also use strftime() to give a more understandable date suffix to
      the backup name.

 -- James Westby <james.westby@canonical.com>  Fri, 12 Sep 2008 19:31:54 +0100

screen-resolution-extra (0.1) intrepid; urgency=low

  * First release

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 16 Aug 2008 11:18:41 +0200

=== debian/control ===
Source: screen-resolution-extra
Section: x11
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.8.0
XS-Python-Version: all

Package: screen-resolution-extra
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-xkit
Description: Extension for the GNOME screen resolution applet
 Extension for the GNOME screen resolution applet.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile

install/screen-resolution-extra ::

binary-install/screen-resolution-extra ::

## screen-resolution-extra 0.8

=== debian/changelog ===
screen-resolution-extra (0.8) jaunty; urgency=low

  * Drop DEB_PYTHON_INSTALL_ARGS_ALL from debian/rules and use the default
    one from cdbs (fixes FTBFS).

 -- Michael Bienia <geser@ubuntu.com>  Tue, 07 Apr 2009 10:04:14 +0200

screen-resolution-extra (0.7) jaunty; urgency=low

  * policyui.py:
    - Catch AttributeError exception if there are duplicate virtual options (LP: #282283).
    - Import xorgparser so that XKit exceptions are actually caught.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Apr 2009 10:17:42 +0200

screen-resolution-extra (0.6) jaunty; urgency=low

  * Build for python2.6, include the symlinks in the package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2009 22:43:54 +0100

screen-resolution-extra (0.5) jaunty; urgency=low

  * debian/control: Add dependency on python-distutils-extra
  * screenresolution-mechanism.policy.in:
    - localise messages and descriptions
    - add new dontzap action
  * policy-dontzap.py: new app to set dontzap
  * screenresolution-mechanism.py: new setDontZap method

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 27 Jan 2009 17:59:00 +0100

screen-resolution-extra (0.4) jaunty; urgency=low

  [ Scott James Remnant ]
  * com.ubuntu.ScreenResolution.Mechanism.conf:
    - allow messages to be sent to the service.  LP: #306705.

  [ Martin Pitt ]
  * debian/control: Add Vcs-Bzr header.

 -- Scott James Remnant <scott@ubuntu.com>  Sun, 04 Jan 2009 11:28:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: screen-resolution-extra
 Section: x11
 Priority: optional
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
+Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.6.11), python-dev (>= 2.4), intltool, python-distutils-extra
 Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
 Standards-Version: 3.8.0
 XS-Python-Version: all
+Vcs-Bzr: http://bazaar.launchpad.net/~albertomilone/screen-resolution-extra/main
 
 Package: screen-resolution-extra
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=include-links

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
#include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

clean::
	rm -f po/*.pot
	rm -Rf build/

install/screen-resolution-extra ::

binary-install/screen-resolution-extra ::

## screen-resolution-extra 0.11

=== debian/changelog ===
screen-resolution-extra (0.11) karmic; urgency=low

  * Set the virtual resolution to 2048x2048 only if a smaller framebuffer
    size was requested (LP: #433856).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Oct 2009 14:13:27 +0200

screen-resolution-extra (0.10) karmic; urgency=low

  * policy-dontzap.py, policyui.py: Add missing hashbang lines (files are
    executable).
  * debian/control: Update Vcs-Bzr: to ubuntu-desktop branch.
  * Port to polkit-1: (LP: #435709):
    - screenresolution-mechanism.policy.in: auth_self_keep_always →
      auth_admin_keep.
    - setup.{py,cfg}: Install policy file into share/polkit-1/actions.
    - Drop ScreenResolution/policykit.py, and its usage in policyui.py and
      policy-dontzap.py; client-side handling of PK is not necessary any more.
    - screenresolution-mechanism.py: Drop PolicyKitAuthentication class, it's
      way too complicated.
    - screenresolution-mechanism.py, _check_permission(): Call polkit-1
      instead of old PolicyKit.
  * screenresolution-mechanism.py: Actually enforce privilege check by calling
    _check_permission() in the service methods.
  * debian/control: Add policykit-1 dependency.
  * debian/control: Bump Standards-Version to 3.8.3 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Oct 2009 14:02:54 +0200

screen-resolution-extra (0.9) karmic; urgency=low

  * policyui.py:
    - Normalise docstrings in checkVirtual().
    - Remove computeVirtual() and compareFrameBuffer() as they were not used
      since gnome-control-center already checks the available front buffer size.
    - Add the optimal_virtual_resolution attribute set to [2048, 2048] (usually
      the highest virtual resolution which doesn't break direct rendering) to
      the BootWindow class and make sure that, if the required resolution is 
      lower than optimal_virtual_resolution, the latter is used instead of the
      former (LP: #412948).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 13 Aug 2009 14:14:03 +0200

## screen-resolution-extra 0.13

=== debian/changelog ===
screen-resolution-extra (0.13) lucid; urgency=low

  * screenresolution-mechanism.py:
    - Explicitly pass start-time to PolicyKit CheckAuthorization call
      so that it works with polkit-1 0.95. Thanks to Martin Pitt for
      the fix.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 21 Jan 2010 10:20:04 +0100

screen-resolution-extra (0.12) lucid; urgency=low

  * setup.py:
    - Do not install policy-dontzap.py any longer.
    - Install nvidia-polkit.py which will be used by nvidia-settings. 

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 08 Jan 2010 21:00:52 +0100

## screen-resolution-extra 0.14

=== debian/changelog ===
screen-resolution-extra (0.14) maverick; urgency=low

  * Update the icon name for the dialog so that the latter doesn't
    crash (LP: #638085).

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 25 Sep 2010 16:14:11 +0200

## screen-resolution-extra 0.14build1

=== debian/changelog ===
screen-resolution-extra (0.14build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:10:44 +0000

=== debian/control ===
Source: screen-resolution-extra
Section: x11
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.6.11), python-dev (>= 2.4), intltool, python-distutils-extra
Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.8.3
XS-Python-Version: all
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/screen-resolution-extra/ubuntu/

Package: screen-resolution-extra
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-xkit, policykit-1
Description: Extension for the GNOME screen resolution applet
 Extension for the GNOME screen resolution applet.

## screen-resolution-extra 0.14build2

=== debian/changelog ===
screen-resolution-extra (0.14build2) oneiric; urgency=low

  * debian/rules:
    - Replace /usr/share/cdbs/1/rules/langpack.mk with
      /usr/share/cdbs/1/class/langcore.mk to fix FTBFS (LP: #829489).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 19 Aug 2011 18:56:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 #include /usr/share/cdbs/1/class/makefile.mk
-include /usr/share/cdbs/1/rules/langpack.mk
+include /usr/share/cdbs/1/class/langcore.mk
 
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp

## screen-resolution-extra 0.14ubuntu2

=== debian/changelog ===
screen-resolution-extra (0.14ubuntu2) precise; urgency=low

  * Finish conversion to dh_python2.  Fixes issue where none of
    screen-resolution-extra's files are installed, which prevents nvidia
    config from making changes to xorg.conf.
    (LP: #913690)
  * Add dependency on policykit-gnome since some scripts use gtk policykit,
    which won't work on KDE where gtk2 may not be installed by default.
    (LP: #673733, #454261)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 09 Jan 2012 03:39:12 -0800

screen-resolution-extra (0.14ubuntu1) precise; urgency=low

  * Build using dh_python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Dec 2011 16:01:42 +0100

=== debian/control ===
Source: screen-resolution-extra
Section: x11
Priority: optional
Build-Depends:
 cdbs (>= 0.4.90~),
 debhelper (>= 7.0.50~),
 python (>= 2.6.6-3~),
 intltool,
 python-distutils-extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.8.3
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/screen-resolution-extra/ubuntu/

Package: screen-resolution-extra
Architecture: all
XB-Python-Version: ${python:Versions}
Depends:
 ${python:Depends},
 python-xkit,
 policykit-1-gnome
Description: Extension for the GNOME screen resolution applet
 Extension for the GNOME screen resolution applet.

## screen-resolution-extra 0.14ubuntu2.1

=== debian/changelog ===
screen-resolution-extra (0.14ubuntu2.1) precise-proposed; urgency=low

  * nvidia-prime.py, screenresolution-mechanism.py,
    screenresolution-mechanism.policy.in, setup.py:
    - Add action and mechanism for Nvidia PRIME (LP: #1259237).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 09 Dec 2013 19:38:14 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_PYTHON_SYSTEM := pycentral
-export DH_PYCENTRAL=include-links
+DEB_PYTHON2_MODULE_PACKAGES := screen-resolution-extra
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk

## screen-resolution-extra 0.15

=== debian/changelog ===
screen-resolution-extra (0.15) quantal; urgency=low

  * Add support for python 3.
  * Migrate to python-gi.
  * Fix issue with the new XKit API (LP: #1012774).
  * Drop obsolete code for the DontZap option.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Jul 2012 18:58:36 +0200

screen-resolution-extra (0.14ubuntu3) quantal; urgency=low

  * debian/control:
    - Depend on python-xkit (>= 0.5.0).
  * policyui.py:
    - Add support for the new python-xkit API.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 05 Jun 2012 16:47:54 +0200

=== debian/control ===
Source: screen-resolution-extra
Section: x11
Priority: optional
Build-Depends:
 debhelper (>= 7.0.50~),
 python-dev (>= 2.6),
 python3-dev,
 intltool,
 python-distutils-extra,
 python3-distutils-extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.8.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/screen-resolution-extra/ubuntu/

Package: screen-resolution-extra
Architecture: all
Depends:
 ${python:Depends},
 python-xkit (>= 0.5.0),
 policykit-1-gnome,
 python3-gi,
 ${misc:Depends}
Description: Extension for the GNOME screen resolution applet
 Extension for the GNOME screen resolution applet.

## screen-resolution-extra 0.15ubuntu1

=== debian/changelog ===
screen-resolution-extra (0.15ubuntu1) raring; urgency=low

  * Build depend on the python*-all-dev packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Oct 2012 11:29:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Build-Depends:
  debhelper (>= 7.0.50~),
- python-dev (>= 2.6),
- python3-dev,
+ python-all-dev (>= 2.6),
+ python3-all-dev,
  intltool,
  python-distutils-extra,
  python3-distutils-extra

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)
PYTHON2MJ=$(shell pyversions -vr | cut -c1-1)
PYTHON3MJ=$(shell py3versions -vr | cut -c1-1)

%:
	dh $@ --with python2,python3

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%) $(PYTHON2:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%) $(PYTHON2:%=install-python%)
	dh_auto_install

#override_dh_installchangelogs:
#	dh_installchangelogs -k foo/NEWS.rst

#override_dh_installdocs:
#	python setup.py build_sphinx
#	dh_installdocs build/sphinx/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -f po/*.pot

## screen-resolution-extra 0.17.1

=== debian/changelog ===
screen-resolution-extra (0.17.1) trusty; urgency=low

  * screenresolution-mechanism:
    - Make sure that the mechanism uses python 3 (LP: #1274733).
    - Replace gobject with the gir libraries.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Feb 2014 13:08:10 +0100

screen-resolution-extra (0.17) trusty; urgency=low

  * debian/control, debian/rules, setup.py:
    - Drop support for Python 2.x.
  * nvidia-prime.py:
    - Do not import gtk, gobject, os, re modules (LP: #1275223).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 03 Feb 2014 16:02:52 +0100

screen-resolution-extra (0.16ubuntu2) trusty; urgency=low

  * debian/control:
    - Add the correct Vcs-Git and Vcs-Browser.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 11 Nov 2013 11:12:44 +0100

screen-resolution-extra (0.16ubuntu1) trusty; urgency=low

  * Fix syntax error in nvidia-prime.py which broke upgrades. (LP: #1249460) 

 -- Iain Lane <iain@orangesquash.org.uk>  Sat, 09 Nov 2013 17:47:47 +0000

screen-resolution-extra (0.16) trusty; urgency=low

  * nvidia-prime.py, screenresolution-mechanism.py,
    screenresolution-mechanism.policy.in, setup.py:
    - Add action and mechanism for Nvidia PRIME.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 08 Nov 2013 18:03:51 +0100

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3=$(shell py3versions -vr)
PYTHON3MJ=$(shell py3versions -vr | cut -c1-1)

%:
	dh $@ --with python3

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

#override_dh_installchangelogs:
#	dh_installchangelogs -k foo/NEWS.rst

#override_dh_installdocs:
#	python setup.py build_sphinx
#	dh_installdocs build/sphinx/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -f po/*.pot

## screen-resolution-extra 0.17.1.1~14.04.1

=== debian/changelog ===
screen-resolution-extra (0.17.1.1~14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: PID race in screenresolution-mechanism
    - screenresolution-mechanism: Pass the system bus name of the calling
      process to Policykit, rather than the PID
    - CVE-2018-8885

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 21 Mar 2018 16:16:33 +0000

## screen-resolution-extra 0.17.1.1~16.04.1

=== debian/changelog ===
screen-resolution-extra (0.17.1.1~16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: PID race in screenresolution-mechanism
    - screenresolution-mechanism: Pass the system bus name of the calling
      process to Policykit, rather than the PID
    - CVE-2018-8885

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 21 Mar 2018 16:15:43 +0000

=== debian/control ===
Source: screen-resolution-extra
Section: x11
Priority: optional
Build-Depends:
 debhelper (>= 7.0.50~),
 python3-all-dev,
 intltool,
 python3-distutils-extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.8.3
X-Python3-Version: >= 3.2
Vcs-Git: git://github.com/tseliot/screen-resolution-extra.git
Vcs-Browser: https://github.com/tseliot/screen-resolution-extra.git

Package: screen-resolution-extra
Architecture: all
Depends:
 ${python:Depends},
 python3-xkit (>= 0.5.0),
 policykit-1-gnome,
 python3-gi,
 ${misc:Depends}
Description: Extension for the GNOME screen resolution applet
 Extension for the GNOME screen resolution applet.

## screen-resolution-extra 0.17.1.1

=== debian/changelog ===
screen-resolution-extra (0.17.1.1) artful-security; urgency=medium

  * SECURITY UPDATE: PID race in screenresolution-mechanism
    - screenresolution-mechanism: Pass the system bus name of the calling
      process to Policykit, rather than the PID
    - CVE-2018-8885

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 20 Mar 2018 21:32:39 +0000

## screen-resolution-extra 0.17.3

=== debian/changelog ===
screen-resolution-extra (0.17.3) bionic; urgency=medium

  * SECURITY UPDATE: PID race in screenresolution-mechanism
    - screenresolution-mechanism: Pass the system bus name of the calling
      process to Policykit, rather than the PID
    - CVE-2018-8885

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Apr 2018 13:21:41 +0100

screen-resolution-extra (0.17.2) bionic; urgency=medium

  * Depend on policykit-1-gnome | polkit-1-auth-agent for desktop
    environments that provide their own PolicyKit authentication
    agents. (LP: #1745815)

 -- Vlad Orlov <monsta@inbox.ru>  Sun, 28 Jan 2018 01:14:32 +0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Depends:
  ${python:Depends},
  python3-xkit (>= 0.5.0),
- policykit-1-gnome,
+ policykit-1-gnome | polkit-1-auth-agent,
  python3-gi,
  ${misc:Depends}
 Description: Extension for the GNOME screen resolution applet

## screen-resolution-extra 0.17.3build1

=== debian/changelog ===
screen-resolution-extra (0.17.3build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:55:34 +0000

## screen-resolution-extra 0.17.4

=== debian/changelog ===
screen-resolution-extra (0.17.4) disco; urgency=medium

  * debian/control:
    - Add optional dependency on gnome-shell (LP: #1815374).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 13 Mar 2019 13:16:47 +0100

screen-resolution-extra (0.17.3build2) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 18:16:56 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Depends:
  ${python:Depends},
  python3-xkit (>= 0.5.0),
- policykit-1-gnome | polkit-1-auth-agent,
+ gnome-shell | policykit-1-gnome | polkit-1-auth-agent,
  python3-gi,
  ${misc:Depends}
 Description: Extension for the GNOME screen resolution applet

## screen-resolution-extra 0.18

=== debian/changelog ===
screen-resolution-extra (0.18) eoan; urgency=medium

  * ScreenResolution/__init__.py
    ScreenResolution/ui.py,
    com.ubuntu.ScreenResolution.Mechanism.conf,
    com.ubuntu.ScreenResolution.Mechanism.service,
    debian/screen-resolution-extra.install,
    nvidia-polkit.py,
    nvidia-prime.py,
    policyui.py,
    screenresolution-mechanism,
    screenresolution-mechanism.policy.in:
    - Drop obsolete files.
  * nvidia-polkit,
    com.ubuntu.screen-resolution-extra.policy.in:
    - Add new files for polkit support in
      nvidia-settings (LP: #1822937).
  * po/POTFILES.in,
    po/createpot.py,
    setup.cfg,
    setup.py:
    - Adjust files to reflect the new changes.
  * debian/compat:
    - Update compatibility to 9.
  * debian/control:
    - Update build dependencies.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 20 May 2019 17:30:05 +0200

## screen-resolution-extra 0.18build1

=== debian/changelog ===
screen-resolution-extra (0.18build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:12:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: x11
 Priority: optional
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
+ dh-python,
  python3-all-dev,
  intltool,
  python3-distutils-extra
@@ -16,10 +17,10 @@
 Package: screen-resolution-extra
 Architecture: all
 Depends:
- ${python:Depends},
+ ${python3:Depends},
  python3-xkit (>= 0.5.0),
  gnome-shell | policykit-1-gnome | polkit-1-auth-agent,
  python3-gi,
  ${misc:Depends}
-Description: Extension for the GNOME screen resolution applet
- Extension for the GNOME screen resolution applet.
+Description: Extension for the nvidia-settings control panel
+ Extra features for the nvidia-settings control panel.

## screen-resolution-extra 0.18build2

=== debian/changelog ===
screen-resolution-extra (0.18build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:55:44 +0200

## screen-resolution-extra 0.18.0.20.10.1

=== debian/changelog ===
screen-resolution-extra (0.18.0.20.10.1) groovy; urgency=medium

  * debian/control:
    - Make policykit-1-gnome the first choice (LP: #1930937).
      This means that, while all the other optional dependencies
      will be honoured, when no such dependency is installed
      (e.g. on very minimal installations), we will avoid
      pulling in the whole gnome-shell just for polkit.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 28 Jun 2021 14:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Depends:
  ${python3:Depends},
  python3-xkit (>= 0.5.0),
- gnome-shell | policykit-1-gnome | polkit-1-auth-agent,
+ policykit-1-gnome | gnome-shell | polkit-1-auth-agent,
  python3-gi,
  ${misc:Depends}
 Description: Extension for the nvidia-settings control panel

## screen-resolution-extra 0.18.1

=== debian/changelog ===
screen-resolution-extra (0.18.1) impish; urgency=medium

  * debian/control, debian/compat:
    - Make policykit-1-gnome the first choice (LP:# 1930937).
      This means that, while all the other optional dependencies
      will be honoured, when no such dependency is installed
      (e.g. on very minimal installations), we will avoid
      pulling in the whole gnome-shell just for polkit.
    - Update debhelper dependency and standards.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 18 Jun 2021 13:56:46 +0200

## screen-resolution-extra 0.18.1build1

=== debian/changelog ===
screen-resolution-extra (0.18.1build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:59:40 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: x11
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python3-all-dev,
  intltool,
  python3-distutils-extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
-Standards-Version: 3.8.3
+Standards-Version: 4.1.4
 X-Python3-Version: >= 3.2
 Vcs-Git: git://github.com/tseliot/screen-resolution-extra.git
 Vcs-Browser: https://github.com/tseliot/screen-resolution-extra.git

## screen-resolution-extra 0.18.2

=== debian/changelog ===
screen-resolution-extra (0.18.2) jammy; urgency=medium

  * debian/control:
    - Drop the policykit dependencies and rely on pkexec
      instead. This should fix the current component
      mismatch.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 29 Mar 2022 10:10:20 +0200

## screen-resolution-extra 0.18.2ubuntu0.1

=== debian/changelog ===
screen-resolution-extra (0.18.2ubuntu0.1) jammy; urgency=medium

  * Make nvidia-polkit executable (LP: #2090974)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Wed, 06 Aug 2025 18:11:23 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Depends:
  ${python3:Depends},
  python3-xkit (>= 0.5.0),
- policykit-1-gnome | gnome-shell | polkit-1-auth-agent,
+ pkexec,
  python3-gi,
  ${misc:Depends}
 Description: Extension for the nvidia-settings control panel

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 PYTHON3=$(shell py3versions -vr)
 PYTHON3MJ=$(shell py3versions -vr | cut -c1-1)
+export PYBUILD_SYSTEM=distutils
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --buildsystem=pybuild
 
 build-python%:
 	python$* setup.py build

## screen-resolution-extra 0.18.3

=== debian/changelog ===
screen-resolution-extra (0.18.3) lunar; urgency=medium

  [ Nathan Teodosio ]
  * setup.py:
    - Pass in py_modules=[] to setup() (LP: #2015777).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 11 Apr 2023 13:51:20 +0000

## screen-resolution-extra 0.18.3build1

=== debian/changelog ===
screen-resolution-extra (0.18.3build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:00:06 +0100

## screen-resolution-extra 0.18.3ubuntu0.24.04.1

=== debian/changelog ===
screen-resolution-extra (0.18.3ubuntu0.24.04.1) noble; urgency=medium

  * Make nvidia-polkit executable (LP: #2090974)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Wed, 06 Aug 2025 18:07:35 -0500

## screen-resolution-extra 0.18.3ubuntu0.25.04.1

=== debian/changelog ===
screen-resolution-extra (0.18.3ubuntu0.25.04.1) plucky; urgency=medium

  * Make nvidia-polkit executable (LP: #2090974)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Wed, 06 Aug 2025 18:06:58 -0500

## screen-resolution-extra 0.18.4

=== debian/changelog ===
screen-resolution-extra (0.18.4) questing; urgency=medium

  * Make nvidia-polkit executable (LP: #2090974)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Wed, 06 Aug 2025 18:02:59 -0500

## screen-resolution-extra 0.18.5

=== debian/changelog ===
screen-resolution-extra (0.18.5) questing; urgency=medium

  * Remove git-ubuntu git tree artifacts

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 12 Aug 2025 15:18:28 -0400

## screen-resolution-extra 0.18.5build1

=== debian/changelog ===
screen-resolution-extra (0.18.5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:41:13 +0100
